fontconfig (2.13.1-2) unstable; urgency=medium

  * Team upload.
  [ Jelmer Vernooĳ ]
  * Replace XC-Package-Type with Package-Type.

  [ Andreas Henriksson ]
  * Only create 10-hinting-slight.conf symlink if its non-existant
    (Closes: #877162)

  [ Laurent Bigonville ]
  * debian/patches/path_max.patch: Fix FTBFS on hurd (Closes: #912699)
  * Do not build the documentation if the nodoc build profile is set, that
    should help to remove a (build) dependency cycle
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/control: Make fontconfig-config Breaks against libfontconfig1 (<<
    2.13.0), some config files are containing stanza not recognized with older
    versions (Closes: #896684)
  * debian/patches/do_not_remove_uuid.patch: Revert the cleanup of the .uuid
    files, this is causing multiple issues and it's not even fixing #897040,
    from upstream (Closes: #909728,#909841,#909818)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 05 Nov 2018 21:42:38 +0100

fontconfig (2.13.1-1) unstable; urgency=medium

  * New upstream release.
  * d/p/0001-Do-not-override-locale-if-already-set-by-app.patch,
    d/p/0002-Leave-the-locale-setting-to-applications.patch,
    d/p/0003-Bug-106459-fc-cache-doesn-t-use-y-option-for-.uuid-f.patch:
    + Removed, merged upstream.
  * debian/libfontconfig1.symbols: updated symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Sep 2018 14:09:29 +0200

fontconfig (2.13.0-5) unstable; urgency=medium

  * Team upload.
  * d/p/0003-Bug-106459-fc-cache-doesn-t-use-y-option-for-.uuid-f.patch: Honor
    the -y option when looking for .uuid files as well

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 May 2018 10:32:10 +0200

fontconfig (2.13.0-4) unstable; urgency=medium

  * debian/libfontconfig1.symbols: update symbols version for those that
    were available in 2.12.6.
  * debian/rules: only move the config files around when building the
    fontconfig-config package, fixes the build on binary-arch builds.
    Closes: #895592.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 13 Apr 2018 18:45:58 +0200

fontconfig (2.13.0-3) unstable; urgency=medium

  * Update Portuguese debconf translation, thanks Rui Branco.
    Closes: #871398.
  * Update Russian debconf translation, thanks Lev Lamberov.
    Closes: #883873.
  * Update German debconf translation, thanks Markus Hiereth.
    Closes: #886031.
  * Switch to dh.
  * Bump debhelper compat to 11. Automatic autoreconf.
  * debian/*.install: Let debhelper find files in debian/tmp automatically.
  * Update README.packaging for the move to salsa.
  * debian/libfontconfig1-dev.doc-base: update index file.
  * 0001-Do-not-override-locale-if-already-set-by-app.patch,
    0002-Leave-the-locale-setting-to-applications.patch:
    - Don't call setlocale() from the library, as that breaks applications.
      Closes: #895470.
  * Add a symbols file.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 12 Apr 2018 18:51:56 +0200

fontconfig (2.13.0-2) unstable; urgency=medium

  * debian/control: let libfontconfig1-dev depend on uuid-dev.
    Closes: #895391.
  * Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 11 Apr 2018 09:12:46 +0200

fontconfig (2.13.0-1) unstable; urgency=medium

  * Team upload.

  [ Keith Packard ]
  * Add dependency on python2.7, python-lxml, python-six
  * Add dependency on docbook, docbook-utils, texlive-formats-extra

  [ Emilio Pozuelo Monfort ]
  * debian/control: git repo moved to salsa, add Vcs-* fields accordingly.
  * debian/control: set the freedesktop.org team as maintainer.
  * debian/control: drop obsolete pre-depends / conflicts / replaces.
  * debian/gbp.conf: set pristine-tar to false, compression to bz2.
  * New upstream release.
    - Drop python build-deps.
    - Bump freetype minimum dependency.
    - Build-dep on uuid-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 09 Apr 2018 19:03:54 +0200

fontconfig (2.12.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #881278, #869584)
    - Drop debian/patches/03_locale_c.utf8.patch and
      debian/patches/06_cross.patch: applied upstream
  * debian/control:
    - Bump Standards-Version to 4.1.1 (no further changes)
    - Use the priority optional instead of extra, the later is deprecated
  * debian/rules: Use ?= instead of = operator to assign DEB_BUILD_GNU_TYPE to
    please lintian
  * debian/po/fr.po: Update French debconf translations (Closes: #873121)
  * debian/po/nl.po: Update Dutch debconf translations (Closes: #874277)
  * debian/watch: Use https:// to watch new upstream releases

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Nov 2017 16:45:04 +0100

fontconfig (2.12.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a NEWS file to describe the change in the default hinting style. Also
    add a debconf question to allow the administrator to change it (Closes:
    #866950)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 04 Jul 2017 21:16:21 +0200

fontconfig (2.12.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - Do not FTBFS if docbook-utils is installed (Closes: #862483)
    - Drop debian/patches/01_path_max.patch, merged upstream
    - Refresh debian/patches/06_cross.patch
  * debian/watch: Switch to .bz2 tarballs
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 22 Jun 2017 09:53:55 +0200

fontconfig (2.12.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #816045)
    - d/p/01_path_max.patch, d/p/06_cross.patch: Refreshed
    - Drop patches/05_doc_files.patch, the tarball already contains the
      pre-generated documentation
    - Drop d/p/07_CVE-2016-5384-Properly-validate-offsets-in-cache-files.patch:
      Applied upstream
  * Drop -dbg package and rely on the -dbgsym ones, bump debhelper dependency
    to be sure that dh_stip has --dbgsym-migration flag
  * debian/rules: Pass --enable-static flag to also build the static library
  * Updated debconf questions translations: debian/po/tr.po, debian/po/it.po
    and debian/po/pt_BR.po (Closes: #756715, 760203, 799416)
  * debian/control: Remove duplicate Section fields to please lintian
  * Adjust several lintian-overrides files
  * debian/fontconfig-config.postrm: Do not hardcode ucf path

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Mar 2017 20:42:18 +0100

fontconfig (2.11.0-6.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Modifiy /etc/fontconfig/fonts.conf to ignore *.dpkg-new files.
    (Closes: #835142)

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 24 Aug 2016 14:21:57 +0200

fontconfig (2.11.0-6.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Modifiy /etc/fontconfig/fonts.conf to ignore *.dpkg-tmp files.
    (Closes: #828037)

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Aug 2016 16:46:23 +0200

fontconfig (2.11.0-6.5) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2016-5384: Possible double free due to insufficiently validated cache
    files (Closes: #833570)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Aug 2016 10:24:50 +0200

fontconfig (2.11.0-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop versioned Build-Depends: binutils which is satisfied even in
    oldstable (Closes: #779460).
  * Compile build-tool edit-sgml with CC_FOR_BUILD. (Closes: #779461)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 12 Mar 2016 19:00:45 +0100

fontconfig (2.11.0-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Modify fontconfig-config.postinst to not touch the symlinks unless it's
    a first install or a reconfigure was issued (Closes: #758973).

 -- Margarita Manterola <marga@debian.org>  Sun, 23 Nov 2014 14:10:23 +0100

fontconfig (2.11.0-6.2) unstable; urgency=medium

  * Non-maintainer upload to delayed
  * Switch to noawait triggers to allow self-triggering; will still need
    Breaks from dpkg to resolve this (closes: #768599)
  * Add Pre-Depends on dpkg to allow for noawait just in case this gets
    backported to squeeze.

 -- Don Armstrong <don@debian.org>  Mon, 10 Nov 2014 11:26:37 -0800

fontconfig (2.11.0-6.1) unstable; urgency=low

  * Non-maintainer upload to delayed.
  * Add dh-autoreconf to support ppc64el. Closes: #748378

 -- Andreas Barth <aba@ayous.org>  Wed, 20 Aug 2014 18:32:20 +0000

fontconfig (2.11.0-6) unstable; urgency=medium

  [ Keith Packard ]
  * Fix misplaced 11-lcdfilter-default.conf. Closes: #731724.
  * Remove spurious /etc/fonts.conf.d.

  [ Josselin Mouette ]
  * Add conf.avail directory to the udeb. Closes: #739011.
  * Use xz compression for the “upstream” tarball.

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Aug 2014 19:52:24 +0200

fontconfig (2.11.0-5) unstable; urgency=medium

  * Add documentation about how to build stuff
  * Add patch including documentation. Closes #739743.
  * Let dpkg remove /etc/fonts/conf.d. Closes: #739785.

 -- Keith Packard <keithp@keithp.com>  Sun, 23 Feb 2014 17:09:30 -0800

fontconfig (2.11.0-4) unstable; urgency=medium

  * Remove spurious files from fontconfig-config package

 -- Keith Packard <keithp@keithp.com>  Fri, 21 Feb 2014 17:48:07 -0800

fontconfig (2.11.0-3) unstable; urgency=low

  * Regenerate files as needed for build from upstream git repository
  * Add debian/gbp.conf to control git-buildpackage
  * Remove links made in /etc/fonts/conf.d and debconf entries. Closes #730361.

 -- Keith Packard <keithp@keithp.com>  Fri, 21 Feb 2014 16:23:16 -0800

fontconfig (2.11.0-2) unstable; urgency=low

  * fontconfig-config.postrm: be less aggressive in removing fonts.d.
    Closes: #728598.
  * Break xpdf (<= 3.03-11). Closes: #728444.
  * 01_path_max.patch: patch from Samuel Thibault to stop requiring 
    PATH_MAX. Closes: #729189.
  * fontconfig-config.links: enable lcdfilter by default.
    Closes: #638262, #605574.
  * 02_indic_names.patch: patch from Vasudev Kamath to fix Indic font 
    family names. Closes: #661245.
  * Mark libfontconfig1-dev as multi-arch: same. Closes: #677885.
  * 03_locale_c.utf8.patch: based on a patch from Martin Dickopp. Treat 
    C.UTF-8 and C.utf8 locales as built in the C library.
    Closes: #717423.
  * Update font packages names. Closes: #712682.
  * Enable fonts-liberation as an alternative. Closes: #663553.
  * Also drop alternate dependency on gsfonts-x11.
  * 04_mgopen_fonts.patch: new patch. Add more MgOpen fonts to default 
    sans typefaces. Closes: #400767.
  * ja.po: updated. Closes: #695078.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Nov 2013 10:15:58 +0100

fontconfig (2.11.0-1) unstable; urgency=low

  * New upstream release.
  * fontconfig-config.preinst: removed, not needed anymore.
  * Add build-dependency on gperf.
  * Bump shlibs.
  * 01_conf.d_README.patch: dropped, obsolete.

 -- Josselin Mouette <joss@debian.org>  Sun, 20 Oct 2013 20:02:49 +0200

fontconfig (2.10.2-2) unstable; urgency=low

  * 01_conf.d_README.patch: new patch. Document the two locations for 
    conf.avail files.
  * fontconfig-config.postrm: don’t remove conf.avail on uninstall. 
    Closes: #714164.
  * fontconfig-config.postinst: remove the symlink of the old 
    conf.avail. Closes: #714157.
  * fontconfig-config.preinst: add a cleanup script for the broken 
    2.10.2-1 version.

 -- Josselin Mouette <joss@debian.org>  Wed, 26 Jun 2013 20:44:27 +0200

fontconfig (2.10.2-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs to 2.10.
  * Wrap build-dependencies.
  * architecture-with-small-double-align: dropped, merged upstream.
  * Add missing build-dependency on pkg-config.
  * fontconfig-config.maintscripts: remove obsolete conffiles.
  * Remove obsolete maintainer scripts.
  * Replace the old conf.avail directory by a symbolic link.
  * Update installation listings.

 -- Josselin Mouette <joss@debian.org>  Tue, 25 Jun 2013 20:34:02 +0200

fontconfig (2.9.0-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update README.Debian with respect to enabling bitmapped fonts: just
    removing the no-bitmaps.conf symlink is not enough, the corresponding
    symlink for yes-bitmaps.conf needs to be added too.
    Thanks to Andreas Metzler <ametzler@debian.org> for the patch.
    Closes: #684923.

 -- intrigeri <intrigeri@debian.org>  Tue, 11 Dec 2012 15:09:54 +0100

fontconfig (2.9.0-7) unstable; urgency=low

  * Don't clean ancient cache files on new install. Closes: #636173.
  * Update Czech translation. Closes: #681700.
  * Update Spanish translation. Closes: #681766.
  * Add Polish translation. Closes: #682577.

 -- Keith Packard <keithp@debian.org>  Wed, 25 Jul 2012 08:46:48 -0700

fontconfig (2.9.0-6) unstable; urgency=low

  * Update SV translation. Closes: #673886.
  * Update DA translation. Closes: #674466.
  * Update RU translation: Closes: #675067.
  * Update DE translation. Closes: #675075.
  * Update PT translation. Closes: #674947.

 -- Keith Packard <keithp@debian.org>  Thu, 31 May 2012 14:04:07 -0700

fontconfig (2.9.0-5) unstable; urgency=low

  * Identical to 2.9.0-4, but for unstable

 -- Keith Packard <keithp@debian.org>  Mon, 14 May 2012 00:08:11 -0700

fontconfig (2.9.0-4) experimental; urgency=low

  * Update NL translation. Closes: #671300.
  * Update FR translation. Closes: #671858.
  * Remove /var/lib/defoma/fontconfig.d/id-cache. Closes: #672252, #670982.

 -- Keith Packard <keithp@debian.org>  Wed, 09 May 2012 09:22:25 -0700

fontconfig (2.9.0-3) unstable; urgency=low

  * Apply upstream fix for FTBFS on m68k. Closes: #671072.
  * Update .po files after hinting configuration message changed.

 -- Keith Packard <keithp@debian.org>  Wed, 02 May 2012 09:07:09 -0700

fontconfig (2.9.0-2) unstable; urgency=low

  * Defoma version no longer relevant.
    Closes: #565891, #583709, #643127, #652486
  * Hinting type is only system default. Closes: #283256

 -- Keith Packard <keithp@debian.org>  Mon, 30 Apr 2012 09:49:40 -0700

fontconfig (2.9.0-1) experimental; urgency=low

  * New upstream version
  * Remove defoma support. Closes: #651493.

 -- Keith Packard <keithp@debian.org>  Mon, 16 Apr 2012 13:46:56 -0700

fontconfig (2.8.0-3) unstable; urgency=low

  * Multi-Arch support
  * Mark fontconfig, fontconfig-config 'Multi-Arch: foreign'.
     Patch from Steve Langasek <steve.langasek@canonical.com>. Closes: #614208

 -- Keith Packard <keithp@debian.org>  Mon, 27 Jun 2011 10:55:26 -0700

fontconfig (2.8.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #592795
    - Turkish (Gürkan Aslan).  Closes: #620073

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Apr 2011 19:50:12 +0200

fontconfig (2.8.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #533566
    - Vietnamese (Clytie Siddall).  Closes: #568985

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Apr 2010 18:41:05 +0200

fontconfig (2.8.0-2) unstable; urgency=low

  * Package with defoma debhelper files from version 0.11.10-4
  * Updated postinst script to follow defoma debhelper style for detecting
    presence of defoma
  * ACK NMU 2.8.0-1.1 from Cyril Brulebois <kibi@debian.org>, fixed this
    time by using new defoma bits.
  * ttf-bitstream-vera is back in the archive (Closes: #461269)
  * The trigger mechanism means that fc-cache only runs once now.
    (Closes: #317881, #382213, #498948)
  * Add Provides: libfontconfig to libfontconfig1 control
    (Closes: #542835)
  * Remove stale reference to XFree86 (Closes: #550338)
  * Change dependency on ttf-dejavu to ttf-dejavu-core (Closes: #517161)
  * Upstream cache file name changes remove explicit architecture
    names (Closes: #501700)
  * Change debconf question to reference DejaVu as default Debian font.
    Note that the ml and ta translations couldn't be mechanically
    converted. (Closes: #430371, #409922)
  * Add cross building support (Neil Williams) (Closes: #451277)
  * Close wishes for newer fontconfig (Closes: #542332, #560054)

 -- Keith Packard <keithp@debian.org>  Thu, 31 Dec 2009 13:44:56 -0800

fontconfig (2.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-apply Riku's band-aid (introduced in 2.6.0-4.1 and 2.6.0-4.2, which
    were not ACK'd) to unbreak the buildds again: Use “set +e” in postinst
    and prerm instead of “set -e” (Closes: #559136).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 30 Dec 2009 23:36:50 +0100

fontconfig (2.8.0-1) unstable; urgency=low

  * upstream release of 2.8
  * Track library package version for shlib dependency.
    Closes: #496148, 456963.
  * Tested with ttf-opensymbol. Appears to work now.
    Closes: #452718.
  * Tested with many afb/pfb files. Appears to not wedge.
    Closes: #406304, #323283.

 -- Keith Packard <keithp@debian.org>  Sun, 27 Dec 2009 11:54:55 -0800

fontconfig (2.6.0-4) unstable; urgency=low

  * fontconfig.{triggers,postinst}: register a trigger to automatically 
    regenerate the font cache when packages install fonts.

 -- Keith Packard <keithp@debian.org>  Fri, 12 Jun 2009 13:20:36 -0700

fontconfig (2.6.0-3) unstable; urgency=low

  * Remove doc/Makefile and doc/version.sgml in the clean target.
  * Ship a minimal 70-yes-bitmaps.conf to avoid spurious warnings.
    Closes: #505969.
  * fontconfig-config.config: don’t force the bitmap fonts to be off, 
    rather re-ask when we find no existing symbolic link, since in this 
    case the intent of the user is unknown. Closes: #505970.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Nov 2008 08:47:53 +0100

fontconfig (2.6.0-2) unstable; urgency=low

  * Do not enable bitmap fonts by default. Closes: #496716.
    + rules: ship an empty 70-yes-bitmaps.conf and rename the original 
      to 70-force-bitmaps.conf.
    + fontconfig-config.postinst: install the symbolic link to 
      70-yes-bitmaps.conf if asked to do so.
    + fontconfig-config.config: always assume bitmap fonts are not 
      wanted if no symbolic link is present.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Nov 2008 17:47:30 +0100

fontconfig (2.6.0-1) unstable; urgency=low

  * upstream release of 2.6

 -- Keith Packard <keithp@debian.org>  Sat, 31 May 2008 20:01:57 -0700

fontconfig (2.5.93-1) unstable; urgency=low

  * upstream release of 2.6 RC3
  * Libs.private needs freetype libraries (closes: 482308)
  * Recognise more decorative keywords in style
    names (closes: 354537, 403914)
  * Bail on defoma stuff if fontconfig hasn't been completely
    installed (closes: 422980)
  * Fix bashisms in debian/rules. (closes: 478381, 454482)
  * Don't use non-existant 10-sub-pixel.conf (closes: 415358)
  * Store dir timestamps in cache files instead of relying on
    mtime (closes: 411883, 314720)
  * Move fontconfig-user documentation to fontconfig
    package (closes: 401933)
  * Ignore empty font directory elements in config.
    (closes: 398851)
  * Eliminating defoma directories avoids umask issues
    (closes: 398126)
  * Install program man pages in fontconfig package
    (closes: 397192)
  * Stick config README in /etc/fonts.conf.d (closes: 393999)
  * Suggest instead of Depend on defoma (closes: 392549)
  * Don't depend on msttcorefonts (closes: 427958)

 -- Keith Packard <keithp@debian.org>  Sat, 24 May 2008 16:53:17 -0700

fontconfig (2.5.92-1) unstable; urgency=low

  * Upstream release of 2.6 RC2
  * Install remaining documentation
  * Add doc-base support (closes: 4516580)
  * Fix bashisms in debian/rules (closes: 478381)

 -- Keith Packard <keithp@debian.org>  Sat, 03 May 2008 22:33:28 -0700
 
fontconfig (2.5.0-1) unstable; urgency=low

  * Upstream release of 2.5
  * Verify defoma handling. (closes: 402104, 446124, 301922)
  * Verify that command manuals are installed (closes: 429294)
  * Fix typo in fr.po translation (Frédéric Bothamy) (closes: 450527)

 -- Keith Packard <keithp@debian.org>  Tue, 13 Nov 2007 19:29:09 -0800

fontconfig (2.4.91-1) unstable; urgency=low

  * Upstream release of 2.5 RC1
  * Incorporate l10n and other bug fixes
  * Rewrite defoma handling to eliminate symlinks in /var/lib/defoma/fontconfig.d

 -- Keith Packard <keithp@debian.org>  Sat, 27 Oct 2007 14:28:27 -0700

fontconfig (2.4.2-1.4) unstable; urgency=low

  * Non-maintainer upload, with maintainer's agreement, to fix pending
    l10n issues
  * Debconf templates proofread and reviewed by the debian-l10n-english team
    as part of the Smith Review Project
    Closes: #419347
  * Debconf translation updates:
    - Catalan. Closes: #411990
    - Swedish. Closes: #419643
    - Spanish. Closes: #419648
    - Japanese. Closes: #419709
    - Norwegian Bokmål. Closes: #419744
    - Useless no.po file removed (no is superseded by nb)
    - Portuguese. Closes: #419760
    - Tamil. Closes: #419662
    - Galician. Closes: #419859
    - Russian. Closes: #419914
    - Traditional Chinese. Closes: #419917
    - Brazilian Portuguese. Closes: #419957
    - Lituanian. Closes: #420109
    - Czech. Closes: #420186
    - Romanian. Closes: #421719
    - Hungarian. Closes: #421740
    - Arabic. Closes: #421741
    - Dutch. Closes: #421763
    - German. Closes: #421852
    - Basque. Closes: #421885
    - Malayalam. Closes: #422847
    - Korean. Closes: #423939
    - Slovak. Closes: #438575
    - Finnish. Closes: #447025
  * Vietnamese. Closes: #426987
  * Italian. Closes: #447440

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Oct 2007 14:08:39 +0200

fontconfig (2.4.2-1.3) unstable; urgency=low

  * NMU. Handle Japanese fonts better. (closes: #435971)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 10 Oct 2007 21:46:44 +0900

fontconfig (2.4.2-1.2) unstable; urgency=low

  * Non-maintainer upload to fix previous NMU errors (and other errors..:-).
  * Rename debian/po/.po to debian/po/sv.po. *This* is the real Swedish
    translation
  * Remove extra "nda.po" which is an old Danish translation

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 Feb 2007 15:35:17 +0100

fontconfig (2.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Romanian. Closes: #402188
    - Galician. Closes: #404317
    - Swedish. Closes: #407850
    - Norwegian Bokmål. Closes: #411554
    - Useless files removed:
      - debian/po/da.po-latin-1
      - debian/po/fontconfig_2.4.1-2_es.po
    - Spanish translation converted to UTF-8

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Feb 2007 08:40:24 +0100

fontconfig (2.4.2-1) unstable; urgency=low

  * Incorporate old Galacian translation (closes 361259)
  * Add fc-list to fontconfig-udeb. (closes 388161)
  * Add conf.d and conf.avail to fontconfig-udeb (closes 388165)
  * Update Czech translation (closes 389209)
  * Update Russian translation (closes 389436)
  * Update Dutch translation (closes 391462)
  * Update French translation (closes 392454)
  * Update Danish translation again (closes 388017, 393059)
  * Add Romanian translation (closes 395346)
  * Update German translation (closes 396941)
  * Update Brazilian Portuguese translation (closes 397846)
  * Update Japanese debconf translation (closes 398596)
  * Update Spanish translation (closes 399961)
  * Add default cache directories (closes 387928, 393909, 395880, 396554, 298293)
  * Merge new upstream version (2.4.2).

 -- Keith Packard <keithp@debian.org>  Sat,  2 Dec 2006 16:24:55 -0800
 
fontconfig (2.4.1-2) unstable; urgency=low

  * Identify current debconf configuration using either
    2.4-style or 2.3-style link names. Link names changed in 2.4
    with re-work of /etc/fonts/conf.d conventions. (closes: #388008)
 
 -- Keith Packard <keithp@debian.org>  Sun, 17 Sep 2006 22:10:18 -0700
 
fontconfig (2.4.1-1) unstable; urgency=low

  * Reimplement FcConfigAppFontAddDir; function was lost in 2.4.0.
  * Move to new upstream version.

 -- Keith Packard <keithp@debian.org>  Fri, 15 Sep 2006 14:22:28 -0700

fontconfig (2.4.0-5) unstable; urgency=low

  * Add signatures for m68k and mipsel

 -- Keith Packard <keithp@debian.org>  Wed, 13 Sep 2006 18:40:22 -0700

fontconfig (2.4.0-4) unstable; urgency=low

  * Clean up old fontcaches before creating new ones
  * Config files moved to -config package in 2.3.2-2

 -- Keith Packard <keithp@debian.org>  Wed, 13 Sep 2006 00:11:37 -0700

fontconfig (2.4.0-3) experimental; urgency=low

  * Change shlib depends to require fontconfig 2.4.0 or better

 -- Keith Packard <keithp@debian.org>  Tue, 12 Sep 2006 09:29:39 -0700

fontconfig (2.4.0-2) experimental; urgency=low

  * install conf files to /etc/fonts/conf.avail
  * create /var/cache/fontconfig
  * clean out old fonts.cache-1 files in postinst phase
  * link defoma config as 30-defoma.conf
  
 -- Keith Packard <keithp@debian.org>  Sun, 10 Sep 2006 01:54:31 -0700

fontconfig (2.4.0-1) experimental; urgency=low

  * fontconfig update to 2.4.0
  * binary shared mmap'd caches
  * split configuration

 -- Keith Packard <keithp@debian.org>  Sat,  9 Sep 2006 23:03:30 -0700
 
fontconfig (2.3.97-1) experimental; urgency=low

  * fontconfig update to 2.3.97 (2.4 pre 7)

 -- Keith Packard <keithp@debian.org>  Thu,  7 Sep 2006 00:30:39 -0700

fontconfig (2.3.2-7) unstable; urgency=low

  * fontconfig-config.config: preserve the "bitmaps" parameter across
    upgrades from sarge.
  * fc-{cache,list}.1: include pregenerated manpages (closes: #370706). 
    This is ugly but it avoids build-depending on docbook-utils.
  * fontconfig.manpages: install these files.
  * fontconfig.install: don't install the manpages here.

 -- Josselin Mouette <joss@debian.org>  Tue,  6 Jun 2006 18:53:36 +0200

fontconfig (2.3.2-6) unstable; urgency=medium

  * Acknowledge NMU (closes: #359997).
  * noftinternals.patch: patch from freetype.org to avoid using freetype
    internals (closes: #370458).
  * dejavu.diff: still pull DejaVu by default, but prefer Bitstream Vera
    if it is available.
  * Standards version is 3.7.2.
  * fontconfig-config.config: correctly handle local changes and stop 
    using debconf as a registry.
  * fontconfig-config.postinst: correctly set the defoma symbolic link.

 -- Josselin Mouette <joss@debian.org>  Mon,  5 Jun 2006 22:47:00 +0200

fontconfig (2.3.2-5.1) unstable; urgency=low

  * Non Maintainer Upload
  * Add support for udeb dependency resolution in shlibs file.
    Closes: #359997.

 -- Frans Pop <fjp@debian.org>  Sat,  1 Apr 2006 20:44:32 +0200

fontconfig (2.3.2-5) unstable; urgency=low

  * Disable documentation building.
  * Remove build-dependency on docbook-utils (closes: #356071).
  * libfontconfig1-dev.{install,manpages}: install the pre-generated 
    documentation instead.
  * fontconfig-config.manpages: ditto for the configuration file doc.
  * Skip the PDF and TXT documentation, preferring HTML which is the 
    default in Debian.

 -- Josselin Mouette <joss@debian.org>  Thu,  9 Mar 2006 20:32:49 +0100

fontconfig (2.3.2-4) unstable; urgency=high

  * Add XC-Package-Type to the control file so that debhelper
    understands it's treating a udeb.
  * Require debhelper 4.2.0.

 -- Josselin Mouette <joss@debian.org>  Wed,  8 Mar 2006 22:44:52 +0100

fontconfig (2.3.2-3) unstable; urgency=high

  * fontconfig.preinst: don't remove configuration files when
    installing, only when upgrading. Fixes the "no conffiles" bug on new
    installations (closes: #354316).
  * rules: don't run dh_installdocs and dh_installchangelogs for the 
    udeb.

 -- Josselin Mouette <joss@debian.org>  Sun,  5 Mar 2006 18:03:48 +0100

fontconfig (2.3.2-2) unstable; urgency=low

  * Acknowledge NMU (closes: #331444).
  * Updated translations:
    + Japanese, from Kenshi Muto (closes: #298256).
    + French, from Jean-Christophe Champarnaud (closes: #299519).
    + Czech, from Miroslav Kure (closes: #302106).
    + Danish, from Claus Hindsgaul (closes: #304600).
    + Vietnamese, from Clytie Siddall (closes: #311659).
    + German, from Erik Schanze (closes: #311717).
    + Portuguese, from Eduardo Silva (closes: #314946).
    + Russian, from Yuri Kozlov (closes: #324083).
    + Swedish, from Daniel Nylander (closes: #339741).
    + Dutch, from Frans Pop (closes: #344709).
  * Move the source package to "libs" section (closes: #309864).
  * Use relative symbolic links in the postinst (closes: #303354).
  * Remove all empty directories in the postrm (closes: #349380).
  * Provide a symbolic link in /etc/fonts/conf.d to the defoma
    generated configuration file (closes: #303769).
  * Remove the file in /var/lib/fontconfig after using it.
  * Create a temporary home directory to avoid creating
    /root/.fonts.cache-1.
  * Remove old x-ttcidfont-conf stuff (accidentally closes: #303748).
  * Make DejaVu the default fonts (closes: #326984, #317907):
    + dejavu.diff: make them the preferred fonts.
    + control: depend on them as the first alternative.
  * Don't install the support binaries in fontconfig-udeb.
  * Break the dependency cycle (closes: #302611, #310877).
    + Split all configuration in a specific fontconfig-config package.
    + Only support binaries and defoma support remain in fontconfig.
    + fontconfig.preinst: move the conffiles around.
  * Update the package descriptions.
  * Remove obsolete package relationships.
  * Don't install the user's guide, it's the same contents as the manual
    page.
  * Pass LC_ALL=C to the make command to avoid local characters in the 
    manual pages.
  * Standards-version is 3.6.2.

 -- Josselin Mouette <joss@debian.org>  Wed,  1 Feb 2006 00:14:48 +0100

fontconfig (2.3.2-1.1) unstable; urgency=low

  * NMU
  * Add Provides: libfontconfig1 for the udeb to satisfy dependencies
    from other udebs (closes: #331444).

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 21:22:40 +0200

fontconfig (2.3.2-1) unstable; urgency=low
  * Patch memory leaks (thanks to Chris Capoccia) (closes: #305680)
  * Share strings to save memory (Ross Burton)
  * Reduce priority of URW fonts

 -- Keith Packard <keithp@debian.org>  Sat, 23 Apr 2005 14:30:18 +1000

fontconfig (2.3.1-2) unstable; urgency=low

  * Change priority of fontconfig-udeb package to extra
  * Fixed incorrect hinting_type case in postinst script (closes: #298817)
  * Replaced Descriptions in fontconfig.templates with shorter
    versions (Thanks to Josselin Mouette)
  * Change README.Debian to match new configuration mechanism.

 -- Keith Packard <keithp@debian.org>  Thu, 10 Mar 2005 13:29:11 -0800

fontconfig (2.3.1-1) unstable; urgency=low

  * Move from experimental to unstable
  * Fix a few minor bugs in handling broken GSUB/GPOS tables
  * Adopt suggestions by former maintainer (Josselin Mouette)
    reguarding debian packaging.
  * Get library man pages to install in -dev package
  * Translations of the configuration questions remain incomplete

 -- Keith Packard <keithp@debian.org>  Tue,  8 Mar 2005 20:47:35 -0800

fontconfig (2.3.0-1) experimental; urgency=low

  * Change of maintainer
  * New upstream release
  * Support for current Freetype versions
  * Multi-lingual family/style/fullname values with parallel language
    tags to enable locale-sensitive presentation of these names.
  * Font black- and white-listing in the configuration file
    enables users to select their desired font attributes without
    having to carefully construct the font directory list.
  * Support for local configuration directory provides a place for system
    distributors and administrators to make local changes to the font 
    configuration without having to edit any configuration files.
					      
 -- Keith Packard <keithp@debian.org>  Wed,  2 Mar 2005 00:03:56 -0800

fontconfig (2.2.3-4) unstable; urgency=low

  * New translations of debconf templates:
    + Brazilian
    + Simplified Chinese (closes: #279326)
    + Dutch (closes: #280657)
    + German (closes: #281077)
    + Danish (closes: #282094)
  * fontconfig.defoma: patch from SU Yong <yoyosu@ustc.edu.cn> for missing
    <family> tags (closes: #280560).

 -- Josselin Mouette <joss@debian.org>  Sat, 20 Nov 2004 15:38:00 +0100

fontconfig (2.2.3-3) unstable; urgency=low

  * fontconfig.templates: merge the autohinter and subpixel rendering
    questions in a single "select" template.
  * fontconfig.config, fontconfig.postinst: update accordingly.
  * debian/po/*.po: updated translations (closes: #277927).
  * fontconfig.postinst: default to use the bytecode interpreter when the
    subpixel rendering is activated (closes: #277874, #277883, #278211).
  * fontconfig.config: try to get the answer to deXconf's LCD question to set
    the default.

 -- Josselin Mouette <joss@debian.org>  Thu, 28 Oct 2004 20:27:49 +0200

fontconfig (2.2.3-2) unstable; urgency=low

  * debian/po/pt_BR.po: updated translation from Gustavo Franco
    <stratus@acm.org> (closes: #276693).
  * debian/po/fr.po: correct subpixel rendering question.
  * fontconfig.config: change question ordering.
  * fontconfig.templates: default the autohinter to "true", but keep the
    subpixel rendering to "false". This is because the bytecode interpreter
    (previous default) renders very badly on TFT screens, and the subpixel
    rendering looks bad on non-RGBA screens (closes: #268321).
  * fontconfig.postinst: always enable the autohinter if the subpixel
    rendering is activated (otherwise it doesn't work).

 -- Josselin Mouette <joss@debian.org>  Thu, 21 Oct 2004 22:59:51 +0200

fontconfig (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * 00maintainer_mode.patch, autoreconf.patch: removed, obsoleted upstream.
  * German translation of debconf templates (closes: #252723).
  * Turkish translation of debconf templates (closes: #246080).
  * objcopy now works correctly on alpha:
    - libfontconfig1-dbg.install.alpha: removed.
    - rules: use --dbg-package on all arches.
  * shlibs.local: removed.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Jul 2004 11:32:02 +0200

fontconfig (2.2.2-2) unstable; urgency=low

  * added debian/patches/00maintainer_mode.patch: introduce
    AM_MAINTAINER_MODE to avoid brain damage.
  * added debian/patches/autoreconf.patch: this is the result of
    libtoolize --force --copy; aclocal; autoheader; automake -acf;
    autoconf with libtool 1.5.4 (closes: #218441).
  * debian/po/nl.po: added Dutch debconf translation (closes: #237813).
  * debian/po/da.po: updated Danish translation (closes: #241123).

 -- Josselin Mouette <joss@debian.org>  Wed,  7 Apr 2004 14:28:05 +0200

fontconfig (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + only require libfontconfig1 2.2.1 for dh_makeshlibs.
  * debian/control:
    + build-depend on binutils 2.12.90.0.9 for dh_strip (closes: #237417).
    + build-depend on freetype 2.1.7, ditto for -dev depends.
    + fontconfig now conflicts with libfontconfig1-dev << 2.2.2.
  * Added debian/po/cs.po (closes: #236275).
  * Added debian/po/pt_BR.po (closes: #235465).
  * Removed freetype-build.patch.
  * fontconfig.install: install fonts-conf.5.
  * libfontconfig1-dev.install: only install manpages in section 3.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Mar 2004 14:17:58 +0100

fontconfig (2.2.1-16) unstable; urgency=low

  * Use the new debconf interface for ucf:
    + fontconfig.postinst: use --debconf-ok option for ucf.
    + fontconfig.postinst: remove the hack to get back stdio from debconf.
    + control: depend on ucf 0.29.
  * Work around objcopy breakage on alpha:
    + libfontconfig1-dbg.install.alpha: copy the library to the debug
      directory.
    + rules: don't use --dbg-package on alpha.

 -- Josselin Mouette <joss@debian.org>  Sun, 22 Feb 2004 17:02:47 +0100

fontconfig (2.2.1-15) unstable; urgency=low

  * Make the dependencies back to ${misc:Depends} now debhelper was updated.
  * Spanish debconf templates (closes: #232211).
  * Danish debconf templates (closes: #233071).

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Feb 2004 16:27:21 +0100

fontconfig (2.2.1-14) unstable; urgency=low

  * Rebuild with up to date cdbs (closes: #230357).
  * Build-depend on docbook-utils 0.6.13.
  * Make a libfontconfig1-dbg package, requiring debhelper 4.1.76.
  * Remove po/ru.po (closes: #223349).
  * Depend on debconf | debconf-2.0 (closes: #230520).

 -- Josselin Mouette <joss@debian.org>  Tue,  3 Feb 2004 13:16:29 +0100

fontconfig (2.2.1-13) unstable; urgency=low

  * patches/freetype-build.patch: include correctly freetype header 
    files (closes: #222680).

 -- Josselin Mouette <joss@debian.org>  Sat,  6 Dec 2003 15:32:30 +0100

fontconfig (2.2.1-12) unstable; urgency=low

  * fontconfig.postrm: support the case where /usr/local/share/fonts 
    doesn't exist (closes: #219992).

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Nov 2003 10:42:24 +0100

fontconfig (2.2.1-11) unstable; urgency=low

  * fontconfig.postinst: support the case where /usr/local is mounted 
    read-only (closes: #219684).

 -- Josselin Mouette <joss@debian.org>  Sat,  8 Nov 2003 09:44:56 +0100

fontconfig (2.2.1-10) unstable; urgency=low

  * shlibs.local: require libfreetype6 2.1.5-3 to avoid the
    gsfonts-other bug (closes: #218662).
  * fontconfig.{config,postinst}: remove bashism.
  * fontconfig.post{inst,rm}: really create /usr/local/share/fonts,
    and remove it if non-empty on purge.
  * po/ru.po: updated translation (closes: #219265).
  * culmus-support.patch: removed, see below.
  * fonts-conf-aliases.patch: patch from CVS, still add Culmus support,
    now also support ttf-freefont (closes: #218924).

 -- Josselin Mouette <joss@debian.org>  Fri,  7 Nov 2003 17:02:37 +0100

fontconfig (2.2.1-9) unstable; urgency=low

  * rules: add /usr/local/share/fonts to the list of directories to
    search for fonts.
  * po/fr.po: update (closes: #218301).
  * po/ja.po: update (closes: #217420).
  * README.Debian: correct typo.
  * patches/culmus-support.patch: support Culmus fonts for Hebrew 
    systems (closes: #198374).

 -- Josselin Mouette <joss@debian.org>  Sun,  2 Nov 2003 18:32:11 +0100

fontconfig (2.2.1-8) unstable; urgency=low

  * fontconfig.postinst: revert changes from 2.2.1-7 and just get back
    stdin back from debconf before running ucf. Thanks a lot to Samuel
    Hocevar for finding out this trick.

 -- Josselin Mouette <joss@debian.org>  Mon, 20 Oct 2003 15:36:03 +0200

fontconfig (2.2.1-7) unstable; urgency=low

  * fontconfig.postinst: when ucf fails (most likely due to being on
    an autobuilder with no /dev/tty), just create local.conf if it is
    not here, otherwise do nothing.

 -- Josselin Mouette <joss@debian.org>  Mon, 20 Oct 2003 13:45:20 +0200

fontconfig (2.2.1-6) unstable; urgency=low

  * Use ucf for local.conf handling (closes: #186730):
    + fontconfig.{config,postinst}: remove debconf handling of
      local.conf overwriting.
    + fontconfig.postrm: new file.
    + templates: remove overwrite_existing_local_conf.
    + control: fontconfig depends on ucf 0.25.
    + local.conf.md5sum: new file, containing all possible md5sums
      for local.conf generated with debconf in the previous versions.
  * Apply defoma patch from Angus Lees (closes: #206532, #204771):
    + fontconfig.defoma: new file.
    + control: build-depend and depend on defoma.
    + rules:
      - Run dh_installdefoma.
      - Remove x-ttcidfont-conf stuff.
    + README.Debian: document that fontconfig can now use defoma fonts.
    + fontconfig.postinst:
      - Remove old cache files in /var/lib/defoma/x-ttcidfont-conf.d
        subdirectories.
      - Include the defoma-generated file in local.conf.
    + fontconfig.postrm: remove /var/lib/defoma/fontconfig.d.
  * fonts-conf-ordering.patch: patches fonts.conf to include local.conf
    before ~/.fonts.conf (closes: #215356).
  * control:
    + Remove po-debconf dependency, all autobuilders have a working
      version now and it never made it to testing.
    + Make libfontconfig1-dev depend on libfontconfig1 instead of
      fontconfig.
    + libfontconfig1-dev depends on libexpat1-dev.
    + Make fontconfig require one of the 4 most widely used font
      packages, as anyway all packages using fontconfig should
      (closes: #189883). Also remove Suggests and Recommends.
  * fontconfig.postrm: remove old fonts.cache-1 files in /usr/share/fonts
    and /usr/X11R6/lib/X11/fonts on purge.
  * No more scripts in fontconfig-udeb (closes: #216132):
    + fontconfig-udeb.postinst: removed.
    + rules: make dh_makeshlibs not run on fontconfig-udeb.

 -- Josselin Mouette <joss@debian.org>  Sun, 19 Oct 2003 11:04:35 +0200

fontconfig (2.2.1-5) unstable; urgency=low

  * debian/control:
    + Build-depend on po-debconf 0.8.1 (closes: #214973).
    + Remove trailing lines, by request of Ralf Nolden.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Oct 2003 21:05:45 +0200

fontconfig (2.2.1-4) unstable; urgency=low

  * Russian debconf templates (closes: #214337).
  * French debconf templates (closes: #213141).
  * Update manpages.
  * Patch fc-cache to handle correctly -s (closes: #214091).
  * Remove defoma comment in README.Debian.
  * Ask whether to enable the autohinter (closes: #188829).
  * Add a general documentation about font handling in README.Debian
    (closes: #186944).

 -- Josselin Mouette <joss@debian.org>  Wed,  8 Oct 2003 22:23:41 +0200

fontconfig (2.2.1-3) unstable; urgency=low

  * New maintainer.
  * fontconfig.postinst: nitpick output improvement.
  * Standards-version is 3.6.1.
  * Switch to po-debconf.
  * Include japanese debconf templates (closes: #210733).
  * Move libfontconfig1-dev to libdevel.
  * Provide manpages for fc-list and fc-cache (closes: #191467).

 -- Josselin Mouette <joss@debian.org>  Tue, 16 Sep 2003 18:31:18 +0200

fontconfig (2.2.1-2) unstable; urgency=low

  * debian/control:
    - Build-Depend on the latest cdbs to fix a udeb build error
      (Closes: #205062)

 -- Colin Walters <walters@debian.org>  Tue, 26 Aug 2003 22:54:24 -0400

fontconfig (2.2.1-1) unstable; urgency=low

  * New upstream release.
    - Eliminates italic_angle check for PS fonts
      (Closes: #196739, #194832).
  * debian/rules:
    - Work around dh_installman bug and put fonts-conf.5 in section 5
      (Closes: #191026).

 -- Colin Walters <walters@debian.org>  Mon,  9 Jun 2003 20:40:57 -0400

fontconfig (2.2.0-5) unstable; urgency=low

  * debian/rules:
    - Tighten up shlibs versioning again (Closes: #195118).

 -- Colin Walters <walters@debian.org>  Wed, 28 May 2003 18:53:21 -0400

fontconfig (2.2.0-4) unstable; urgency=low

  * debian/rules:
      - Ensure fontconfig is built after libfontconfig1 (Closes: #194960).

 -- Colin Walters <walters@debian.org>  Tue, 27 May 2003 18:39:23 -0400

fontconfig (2.2.0-3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version: 3.5.10, no changes required.
    - Build-Depend on cdbs.
  * debian/rules:
    - Convert to cdbs.
  * debian/rocks:
    - Removed.

 -- Colin Walters <walters@debian.org>  Sun, 25 May 2003 04:42:10 -0400

fontconfig (2.2.0-2) unstable; urgency=low

  * The "Society For Creative Anachronism Seizes Control Of Russia"
    release.
  * debian/control:
    - Recommend ttf-bitstream-vera, since it is the default fallback font
      now.  Plus it does look pretty nice.  (Closes: #190675).
    - Suggest: ttf-freefont, my favorite font.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Tue,  6 May 2003 02:55:40 -0400

fontconfig (2.2.0-1) unstable; urgency=low

  * The "Harsh Light Of Morning Falls On One Night Stand's DVD Collection"
    release.
  * New upstream release.

 -- Colin Walters <walters@debian.org>  Wed, 23 Apr 2003 20:39:54 -0400

fontconfig (2.1.94-1) unstable; urgency=low

  * The "I speak better English than this villian Bush" release.
    (Courtesy of Mohammed Saeed al-Sahaf).
  * New upstream (pre)release.
  * README.Debian:
    - Remove experimental notice.
  * debian/patches/fonts-conf-cleanup.patch:
    - Update.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Thu, 17 Apr 2003 00:13:37 -0400

fontconfig (2.1.93-1) unstable; urgency=low

  * The "Saddam Speech Suspiciously Mentions Nelly Song From Last Summer"
    release.
  * New upstream (pre)release.
    - Actually puts some bytes in fontconfig-user.html (Closes: #185065)
    - Handles "same" font binding (Closes: #184353)
    - Handles aliases better (Closes: #179416)
    - Will handle xfonts-terminus, although it's kinda ugly
      (Closes: #176690)
  * debian/control:
    - Bump Standards-Version to 3.5.9, no changes required.
    - Minor description fixes.
  * debian/rocks:
    - Add --enable-docs to DEB_CONFIGURE_EXTRA_FLAGS.
  * debian/patches/fontconfig_pc_in-fix-version-var.patch:
    - Deleted; fix was incorporated upstream.
  * debian/patches/mono-font-enable.patch:
    - Deleted; a better fix was incorporated upstream.

 -- Colin Walters <walters@debian.org>  Mon,  7 Apr 2003 22:16:52 -0400

fontconfig (2.1.92-5) unstable; urgency=low

  * The "Wingslinger's is definitely a mafia front" release.
  * debian/control:
    - Add back Depends line for fontconfig-udeb, and put libexpat1-udeb,
    libfreetype6-udeb, zlib1g-udeb there.
    
 -- Colin Walters <walters@debian.org>  Sun,  6 Apr 2003 14:07:58 -0400

fontconfig (2.1.92-4) unstable; urgency=low

  * debian/control:
    - Remove Depends for fontconfig-udeb (Closes: #187833).
  * debian/fontconfig-udeb.postinst:
    - New file, hacked up from fontconfig.postinst.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sun,  6 Apr 2003 13:18:06 -0400

fontconfig (2.1.92-3) unstable; urgency=low

  * debian/control:
    - Merge libfontconfig1 and fontconfig packages (Closes: #185466).
    - Turn libfontconfig1 and libfontconfig1-dev into dummy packages.
    - Generate new fontconfig-udeb package (Closes: #183822).
  * debian/patches/mono-font-enable.patch:
    - New patch; enables marking fonts as monospaced again (Closes: #185239).
  * debian/rocks:
    - Remove old cruft like deb-common-build target.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Fri, 28 Mar 2003 16:16:38 -0500

fontconfig (2.1.92-2) unstable; urgency=low

  * The "I should take up Tae Kwon Do again as a stress reliever" release.
  * debian/README.Debian:
    - Update with warning about bitmapped fonts.
  * debian/fontconfig.templates:
    - New question about overwriting existing local.conf.
  * debian/fontconfig.config:
    - Place into the public domain.
    - Support new question about overwriting existing local.conf.
  * debian/fontconfig.postinst:
    - Place into the public domain.
    - Support new question about overwriting existing local.conf.
    - Rewrite so that we always write out the bits for bitmapped fonts and
      subpixel rendering, but if they're disabled, then comment them out.
      This will allow people to easily see the code so they can enable it by
      hand.
    - Add -v to fc-cache invocation so /var/log/fontconfig.log is a bit
      more useful.

 -- Colin Walters <walters@debian.org>  Sun,  9 Mar 2003 14:40:43 -0500

fontconfig (2.1.92-1) unstable; urgency=low

  * The "I wish upstream actually used ChangeLog" release.
  * New upstream (pre)release.
  * debian/libfontconfig1-dev.install:
    - Install upstream development HTML and text documentation.
    - Install upstream development manpages.
  * debian/fontconfig.install:
    - Install upstream user HTML and text documentation.
    - Don't include local.conf in package.  D'oh!
  * debian/control:
    - Minor description improvements.
  * debian/fontconfig.config,debian/fontconfig.postinst,
    debian/fontconfig.templates:
    - New debconf question about enabling bitmapped fonts.

 -- Colin Walters <walters@debian.org>  Fri,  7 Mar 2003 17:23:42 -0500

fontconfig (2.1.91-2) unstable; urgency=low

  * debian/control:
    - Bump Build-Depends (and Depends for libfontconfig1-dev) on
      libfreetype6-dev to the latest.  This, in combination with this
      version of fontconfig, will hopefully fix a lot of outstanding bugs.
    - Drop Build-Depends on xlibs-dev and ed.
  * debian/rocks:
    - Hardcode font path here, and include
      /var/lib/defoma/x-ttcidfont-conf.d/dirs in default font path
      (Closes: #183342, #176020).

 -- Colin Walters <walters@debian.org>  Thu,  6 Mar 2003 22:00:13 -0500

fontconfig (2.1.91-1) unstable; urgency=low

  * New upstream (pre)release.
  * debian/patches/fontconfig_pc_in-fix-version-var.patch:
    - New patch (Closes: #183418).

 -- Colin Walters <walters@debian.org>  Wed,  5 Mar 2003 01:02:17 -0500

fontconfig (2.1.90-1) unstable; urgency=low

  * New upstream (pre)release.
  * debian/patches/CVS-HEAD-subpixel-rendering-fix.patch,
    debian/patches/fail-on-submake-failure.patch,
    debian/patches/owen-fc-cache-fix.patch:
    - Included upstream now; deleted.
  * debian/patches/fonts-conf-cleanup.patch:
    - New patch.  Removes the date from fonts.conf, and helps move
    subpixel rendering bits into local.conf.
  * debian/control:
    - [libfontconfig1-dev] Add Depends on pkg-config.
    - Add Build-Depends on docbook-utils.
  * debian/rocks:
    - Remove manpage stuff.
  * debian/fontconfig.templates, debian/fontconfig.config,
    debian/fontconfig.postinst:
    - Debconfiscation.  Now prompts for subpixel rendering bits
      (Closes: #182748).
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sun,  2 Mar 2003 13:29:35 -0500

fontconfig (2.1-15) unstable; urgency=low

  * debian/control:
    - Build-Depend on xlibs-dev (>= 4.2.0).
  * debian/patches/owen-fc-cache-fix.patch:
    - New patch, pulled from the GARNOME CVS; edited slightly.
      This should fix those crashes in FcConfigAdd (Closes: #178780).
  * debian/rules:
    - Update to the latest version of Colin's Build System.
   
 -- Colin Walters <walters@debian.org>  Fri, 17 Jan 2003 13:20:09 -0500

fontconfig (2.1-14) unstable; urgency=low

  * debian/patches/CVS-HEAD-subpixel-rendering-fix.patch:
    - New patch, should fix crashes when subpixel rendering is
    turned on (Closes: #175903).  Big thanks to
    Michael Guntsche <mike@it-loops.com> for extracting the relevant fix
    from CVS!

 -- Colin Walters <walters@debian.org>  Fri, 10 Jan 2003 13:30:28 -0500

fontconfig (2.1-13) unstable; urgency=low

  * debian/rocks:
    - Tighten up shlibs for libfontconfig1.

 -- Colin Walters <walters@debian.org>  Wed,  8 Jan 2003 22:34:53 -0500

fontconfig (2.1-12) unstable; urgency=low

  * debian/fontconfig.postinst:
    - Redirect fc-cache error messages to /var/log/fontconfig.log, and
    refer the user to this upon failure (Closes: #174507).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 15:04:05 -0500

fontconfig (2.1-11) unstable; urgency=low

  * debian/control:
    - Remove Build-Depends on zlib1g; instead Build-Depend on the very
    latest libfreetype6-dev which does this for us.
  * debian/fontconfig.postinst:
    - Display a little message about regenerating the fonts cache.

 -- Colin Walters <walters@debian.org>  Wed, 25 Dec 2002 01:08:05 -0500

fontconfig (2.1-10) unstable; urgency=low

  * debian/patches/fail-on-submake-failure.patch:
    - New patch.  This way at least the package won't build in the future
      if there is a failure.
  * debian/control:
    - Build-Depend on zlib1g-dev directly until freetype is fixed.
    - Change fontconfig section to utils.

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 21:37:25 -0500

fontconfig (2.1-9) unstable; urgency=low

  * The "<Overfiend> "*PANT* *PANT*  YEAH BABY!!!!
    FRESH COMMITS TO (freetype) CVS!!!!"  *PANT* *PANT*" release.
  * debian/control:
    - Build-Depend on the very latest freetype, the previous version of
    which was a CVS snapshot that broke the fontconfig build, and in fact
    the build of almost any package dependent on freetype; see #173834.
    Closes: #173900.
    - Build-Depend on debhelper (>= 4.1.1) since we use some features from
    it with CBS in this package (Closes: #173941).
  * debian/fontconfig.postinst:
    - New file, with the important contents stolen from Red Hat 8's
    postinst.  Thanks Anthony Fok <foka@debian.org>. (Closes: #173949).

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 03:36:21 -0500

fontconfig (2.1-8) unstable; urgency=low

  * debian/control:
    - Build-Depend on xlibs-dev.  This should fix the issue with
    /usr/X11R6/lib/fonts or whatever being missing from fonts.conf.
    - Mention more prominently that fontconfig doesn't depend on X.
  * debian/rocks:
    - Install fc-cache, fc-list, and fontconfig manpages
    (Closes: #173748).

 -- Colin Walters <walters@debian.org>  Sat, 21 Dec 2002 02:54:36 -0500

fontconfig (2.1-7) unstable; urgency=low

  * debian/control:
    - [libfontconfig1-dev] Add a Conflicts: fontconfig (<< 2.1-5) so that
    we ensure upgrading happens in the correct order (due to
    fontconfig-config switching packages).

 -- Colin Walters <walters@debian.org>  Wed, 11 Dec 2002 00:48:31 -0500

fontconfig (2.1-6) unstable; urgency=low

  * debian/patches/no-date-in-fonts-conf.patch:
    - New patch; this will prevent the fonts.conf conffile from changing
    on every package upload.
  * debian/README.Debian:
    - Update.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Tue, 10 Dec 2002 14:48:24 -0500

fontconfig (2.1-5) unstable; urgency=low

  * debian/libfontconfig1-dev.install:
    - Install fontconfig-config.
  * debian/fontconfig.install
    - Don't install fontconfig-config.
  * debian/control:
    - [libfontconfig1-dev] Add Depends: on libfreetype6-dev
    (Closes: #172488)
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Add debian/tmp/usr/lib/ to DEB_SHLIBDEPS_INCLUDE
      (Closes: #172432).
    - Ensure libfontconfig1 is built before fontconfig.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 23:54:06 -0500

fontconfig (2.1-4) unstable; urgency=low

  * debian/control:
    - Really Build-Depend on ed (Closes: #172245).  Now how did I add it
      to the changelog, but not control?  Don't ask me...)
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 12:59:07 -0500

fontconfig (2.1-3) unstable; urgency=low

  * debian/control:
    - Build-Depend on ed.
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Remove extra cruft in deb-extra-clean rule.

 -- Colin Walters <walters@debian.org>  Sun,  8 Dec 2002 20:58:26 -0500

fontconfig (2.1-2) unstable; urgency=low

  * First upload to unstable; Closes: #170559.
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Fri,  6 Dec 2002 01:37:16 -0500

fontconfig (2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Use Colin's Build System.
  * debian/control:
    - Bump Standards-Version to 3.5.8.
  * debian/copyright:
    - Fix Upstream Authors.

 -- Colin Walters <walters@debian.org>  Tue,  3 Dec 2002 22:38:28 -0500

fontconfig (2.0-2) unstable; urgency=low

  * debian/control:
    - [fontconfig] New package; install configuration files and binaries in it.
    - [libfontconfig1-dev] Fix up description.

 -- Colin Walters <walters@debian.org>  Mon, 14 Oct 2002 23:06:59 -0400

fontconfig (2.0-1) unstable; urgency=low

  * Initial version.
  
 -- Colin Walters <walters@debian.org>  Sun, 13 Oct 2002 14:43:56 -0400
